GLS ShipIT 5.0.15 GLS ShipIT - SOAP services

Public Member Functions | List of all members
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory Class Reference

## Public Member Functions
| ObjectFactory ()
CreateReturnRequestParameter | createCreateReturnRequestParameter ()
ReturnShipment | createReturnShipment ()
PrintingOptions | createPrintingOptions ()
CustomContent | createCustomContent ()
CreatePickupRequestParameter | createCreatePickupRequestParameter ()
PickUpShipment | createPickUpShipment ()
UpdateParcelWeightRequestParameter | createUpdateParcelWeightRequestParameter ()
CancelParcelRequestParameter | createCancelParcelRequestParameter ()
CreateReturnResponse | createCreateReturnResponse ()
ParcelData | createParcelData ()
PrintData | createPrintData ()
CreatePickupResponse | createCreatePickupResponse ()
UpdateParcelWeightResponse | createUpdateParcelWeightResponse ()
CancelParcelResponse | createCancelParcelResponse ()
InvalidShipmentIDFault | createInvalidShipmentIDFault ()
PickUpShipmentUnit | createPickUpShipmentUnit ()
Consignee | createConsignee ()
Shipper | createShipper ()
Address | createAddress ()
CreateReturnService | createCreateReturnService ()
ShopReturnService | createShopReturnService ()
IntercompanyService | createIntercompanyService ()
CreatePickupService | createCreatePickupService ()
PickAndReturnService | createPickAndReturnService ()
PickAndShipService | createPickAndShipService ()
Requester | createRequester ()
Information | createInformation ()
Barcodes | createBarcodes ()
ServiceArea | createServiceArea ()
ServiceInfo | createServiceInfo ()
RoutingInfo | createRoutingInfo ()
MondialRelayArea | createMondialRelayArea ()
Delivery | createDelivery ()
Service | createService ()
Labels | createLabels ()
DefinePrinter | createDefinePrinter ()

## Detailed Description

This object contains factory methods for each Java content interface and Java element interface generated in the eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Definition at line 22 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## Constructor & Destructor Documentation

## ◆ ObjectFactory()

eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.ObjectFactory | ( |  | ) |

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing

Definition at line 29 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## Member Function Documentation

## ◆ createAddress()

Address eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createAddress | ( |  | ) |

Create an instance of Address

Definition at line 180 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createBarcodes()

Barcodes eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createBarcodes | ( |  | ) |

Create an instance of Barcodes

Definition at line 252 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createCancelParcelRequestParameter()

CancelParcelRequestParameter eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createCancelParcelRequestParameter | ( |  | ) |

Create an instance of CancelParcelRequestParameter

Definition at line 92 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createCancelParcelResponse()

CancelParcelResponse eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createCancelParcelResponse | ( |  | ) |

Create an instance of CancelParcelResponse

Definition at line 140 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createConsignee()

Consignee eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createConsignee | ( |  | ) |

Create an instance of Consignee

Definition at line 164 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createCreatePickupRequestParameter()

CreatePickupRequestParameter eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createCreatePickupRequestParameter | ( |  | ) |

Create an instance of CreatePickupRequestParameter

Definition at line 68 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createCreatePickupResponse()

CreatePickupResponse eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createCreatePickupResponse | ( |  | ) |

Create an instance of CreatePickupResponse

Definition at line 124 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createCreatePickupService()

CreatePickupService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createCreatePickupService | ( |  | ) |

Create an instance of CreatePickupService

Definition at line 212 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createCreateReturnRequestParameter()

CreateReturnRequestParameter eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createCreateReturnRequestParameter | ( |  | ) |

Create an instance of CreateReturnRequestParameter

Definition at line 36 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createCreateReturnResponse()

CreateReturnResponse eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createCreateReturnResponse | ( |  | ) |

Create an instance of CreateReturnResponse

Definition at line 100 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createCreateReturnService()

CreateReturnService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createCreateReturnService | ( |  | ) |

Create an instance of CreateReturnService

Definition at line 188 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createCustomContent()

CustomContent eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createCustomContent | ( |  | ) |

Create an instance of CustomContent

Definition at line 60 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createDefinePrinter()

DefinePrinter eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createDefinePrinter | ( |  | ) |

Create an instance of DefinePrinter

Definition at line 316 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createDelivery()

Delivery eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createDelivery | ( |  | ) |

Create an instance of Delivery

Definition at line 292 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createInformation()

Information eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createInformation | ( |  | ) |

Create an instance of Information

Definition at line 244 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createIntercompanyService()

IntercompanyService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createIntercompanyService | ( |  | ) |

Create an instance of IntercompanyService

Definition at line 204 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createInvalidShipmentIDFault()

InvalidShipmentIDFault eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createInvalidShipmentIDFault | ( |  | ) |

Create an instance of InvalidShipmentIDFault

Definition at line 148 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createLabels()

Labels eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createLabels | ( |  | ) |

Create an instance of Labels

Definition at line 308 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createMondialRelayArea()

MondialRelayArea eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createMondialRelayArea | ( |  | ) |

Create an instance of MondialRelayArea

Definition at line 284 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createParcelData()

ParcelData eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createParcelData | ( |  | ) |

Create an instance of ParcelData

Definition at line 108 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createPickAndReturnService()

PickAndReturnService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createPickAndReturnService | ( |  | ) |

Create an instance of PickAndReturnService

Definition at line 220 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createPickAndShipService()

PickAndShipService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createPickAndShipService | ( |  | ) |

Create an instance of PickAndShipService

Definition at line 228 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createPickUpShipment()

PickUpShipment eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createPickUpShipment | ( |  | ) |

Create an instance of PickUpShipment

Definition at line 76 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createPickUpShipmentUnit()

PickUpShipmentUnit eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createPickUpShipmentUnit | ( |  | ) |

Create an instance of PickUpShipmentUnit

Definition at line 156 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createPrintData()

PrintData eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createPrintData | ( |  | ) |

Create an instance of PrintData

Definition at line 116 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createPrintingOptions()

PrintingOptions eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createPrintingOptions | ( |  | ) |

Create an instance of PrintingOptions

Definition at line 52 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createRequester()

Requester eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createRequester | ( |  | ) |

Create an instance of Requester

Definition at line 236 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createReturnShipment()

ReturnShipment eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createReturnShipment | ( |  | ) |

Create an instance of ReturnShipment

Definition at line 44 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createRoutingInfo()

RoutingInfo eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createRoutingInfo | ( |  | ) |

Create an instance of RoutingInfo

Definition at line 276 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createService()

Service eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createService | ( |  | ) |

Create an instance of Service

Definition at line 300 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createServiceArea()

ServiceArea eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createServiceArea | ( |  | ) |

Create an instance of ServiceArea

Definition at line 260 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createServiceInfo()

ServiceInfo eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createServiceInfo | ( |  | ) |

Create an instance of ServiceInfo

Definition at line 268 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createShipper()

Shipper eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createShipper | ( |  | ) |

Create an instance of Shipper

Definition at line 172 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createShopReturnService()

ShopReturnService eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createShopReturnService | ( |  | ) |

Create an instance of ShopReturnService

Definition at line 196 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createUpdateParcelWeightRequestParameter()

UpdateParcelWeightRequestParameter eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createUpdateParcelWeightRequestParameter | ( |  | ) |

Create an instance of UpdateParcelWeightRequestParameter

Definition at line 84 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

## ◆ createUpdateParcelWeightResponse()

UpdateParcelWeightResponse eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.ObjectFactory.createUpdateParcelWeightResponse | ( |  | ) |

Create an instance of UpdateParcelWeightResponse

Definition at line 132 of file glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java.

The documentation for this class was generated from the following file:

- glsgroup/fpcs/datatypes/soap/v2/shipmentprocessing/ObjectFactory.java